# Uses of Interface
io.dapr.v1.DaprAppCallbackProtos.TopicRuleOrBuilder

Packages that use DaprAppCallbackProtos.TopicRuleOrBuilder
Package
Description
io.dapr.v1

## Uses of DaprAppCallbackProtos.TopicRuleOrBuilder in io.dapr.v1

Classes in io.dapr.v1 that implement DaprAppCallbackProtos.TopicRuleOrBuilder
Modifier and Type
Class
Description
`static final class`
`DaprAppCallbackProtos.TopicRule`
Protobuf type `dapr.proto.runtime.v1.TopicRule`
`static final class`
`DaprAppCallbackProtos.TopicRule.Builder`
Protobuf type `dapr.proto.runtime.v1.TopicRule`
Methods in io.dapr.v1 that return DaprAppCallbackProtos.TopicRuleOrBuilder
Modifier and Type
Method
Description
`DaprAppCallbackProtos.TopicRuleOrBuilder`
DaprAppCallbackProtos.TopicRoutes.Builder.`getRulesOrBuilder(int index)`
The list of rules for this topic.
`DaprAppCallbackProtos.TopicRuleOrBuilder`
DaprAppCallbackProtos.TopicRoutes.`getRulesOrBuilder(int index)`
The list of rules for this topic.
`DaprAppCallbackProtos.TopicRuleOrBuilder`
DaprAppCallbackProtos.TopicRoutesOrBuilder.`getRulesOrBuilder(int index)`
The list of rules for this topic.
Methods in io.dapr.v1 that return types with arguments of type DaprAppCallbackProtos.TopicRuleOrBuilder
Modifier and Type
Method
Description
`List<? extends DaprAppCallbackProtos.TopicRuleOrBuilder>`
DaprAppCallbackProtos.TopicRoutes.Builder.`getRulesOrBuilderList()`
The list of rules for this topic.
`List<? extends DaprAppCallbackProtos.TopicRuleOrBuilder>`
DaprAppCallbackProtos.TopicRoutes.`getRulesOrBuilderList()`
The list of rules for this topic.
`List<? extends DaprAppCallbackProtos.TopicRuleOrBuilder>`
DaprAppCallbackProtos.TopicRoutesOrBuilder.`getRulesOrBuilderList()`
The list of rules for this topic.